Subject: bug#35586: GNOME

From: Raghav Gururajan <[email-masked]>
Date: Mon, 06 May 2019 03:51:54 -0400

On 5 May 2019 16:48, "pelzflorian (Florian Pelz)" <[email-masked]> wrote:
>
> On Sun, May 05, 2019 at 03:23:27PM -0400, Raghav Gururajan wrote: 
> > On 5 May 2019 14:52, "pelzflorian (Florian Pelz)" <[email-masked]> wrote: 
> > > Well, they have two names and others frequently refer to them by 
> > > e.g. Epiphany and not GNOME Web, including Epiphany developers. 
> > > 
> > > 
> > 
> > Hmm, but the app shows up as Web in GNOME. 
> > 
>

> One example of GNOME Web being called Epiphany by GNOME developers is 
> the same blog: 
>
> https://blogs.gnome.org/mcatanzaro/2019/03/19/epiphany-technology-preview-upgrade-requires-manual-intervention/ 
>
> You can also type both Epiphany and (your language’s translation of) 
> Web in the GNOME Activities search bar to find Epiphany.  The same 
> goes for Nautilus.  The terminal command is also still epiphany or 
> nautilus. 
>
> I do not know if it is possible to give a package two names; I believe 
> it is not. 

I understand what you are saying. It appears epiphany is the old name (https://en.m.wikipedia.org/wiki/GNOME_Web). Dev must have used epiphany now a days as a habit.

Also, the previous blog link you sent me, recommends to use generic names.

>
>
>
> > > Of course, there are more non-packaged applications. 
> > > 
> > > I also remember 
> > > https://blogs.gnome.org/mcatanzaro/2016/09/21/gnome-3-22-core-apps/ 
> > > who says, for example, that gnome-tweaks is *not* core. 
> > > 
> > 
> > What?? How else to enable/disable plugins/extensions in GNOME? 
> > 
>
> Well…  GNOME has repeatedly tried to make simpler alternatives for 
> installing extensions.  I believe the current method is GNOME 
> Software, but I am not sure. 
>
> Regards, 
> Florian